Bug 27655 - Barcode column is missing from "Holds to pull" table preferences yaml file
Summary: Barcode column is missing from "Holds to pull" table preferences yaml file
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Peter Vashchuk
QA Contact: Testopia
URL:
Keywords:
Depends on: 23485
Blocks:
  Show dependency treegraph
 
Reported: 2021-02-08 14:09 UTC by Peter Vashchuk
Modified: 2021-02-21 00:59 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.03


Attachments
Bug 27655: Add barcode "columnname" to "column_settings.yml" (1.95 KB, patch)
2021-02-08 14:11 UTC, Peter Vashchuk
Details | Diff | Splinter Review
Bug 27655: Add barcode "columnname" to "column_settings.yml" (2.02 KB, patch)
2021-02-08 21:36 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Vashchuk 2021-02-08 14:09:12 UTC

    
Comment 1 Peter Vashchuk 2021-02-08 14:11:32 UTC
Created attachment 116501 [details] [review]
Bug 27655: Add barcode "columnname" to "column_settings.yml"

Preferences of the "Holds to pull" table missing the "Barcode" column.
This patch appends that column name to the "column_settings.yml"
in correct order. This also led to checked out columns in this settings
page that were not those which were hidden when the table displayed
(i.e. columns were shifted).

To reproduce:
    1) Head over to /cgi-bin/koha/admin/columns_settings.pl
    2) Open the collapsed "Circulation" list, go to the "Holds" page
and find preferences of the "Holds to pull" table there.
    3) Check that the "Barcodes" column is missing from it.
    4) Mark the last few columns for not to be
displayed (for example, three) and save the preferences.
Remember the column names you checked out.
    5) Open the circulations section, then open "Holds to pull" report
when you have there some elements displayed, you should notice that
hidden columns shifted by one, as well if you press "gear" icon to
quickly enable/disable the columns, you will see those unchecked in
list last three will be not those you marked out.
    6) Apply the patch.
    7) Reload the "table settings" page, check that the "Barcodes"
column is present.
    8) Check that on the "Circulation -> Holds to Pull" page all
columns hidden accordingly and properly (as explained in step 5.
Comment 2 Katrin Fischer 2021-02-08 21:36:52 UTC
Created attachment 116527 [details] [review]
Bug 27655: Add barcode "columnname" to "column_settings.yml"

Preferences of the "Holds to pull" table missing the "Barcode" column.
This patch appends that column name to the "column_settings.yml"
in correct order. This also led to checked out columns in this settings
page that were not those which were hidden when the table displayed
(i.e. columns were shifted).

To reproduce:
    1) Head over to /cgi-bin/koha/admin/columns_settings.pl
    2) Open the collapsed "Circulation" list, go to the "Holds" page
and find preferences of the "Holds to pull" table there.
    3) Check that the "Barcodes" column is missing from it.
    4) Mark the last few columns for not to be
displayed (for example, three) and save the preferences.
Remember the column names you checked out.
    5) Open the circulations section, then open "Holds to pull" report
when you have there some elements displayed, you should notice that
hidden columns shifted by one, as well if you press "gear" icon to
quickly enable/disable the columns, you will see those unchecked in
list last three will be not those you marked out.
    6) Apply the patch.
    7) Reload the "table settings" page, check that the "Barcodes"
column is present.
    8) Check that on the "Circulation -> Holds to Pull" page all
columns hidden accordingly and properly (as explained in step 5.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Katrin Fischer 2021-02-08 21:37:58 UTC
Obvious fix, going straight to PQA.
Comment 4 Jonathan Druart 2021-02-09 08:50:17 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Fridolin Somers 2021-02-12 14:34:09 UTC
Surely depends on Bug 23485
Comment 6 Fridolin Somers 2021-02-12 14:34:35 UTC
Pushed to 20.11.x for 20.11.03
Comment 7 Victor Grousset/tuxayo 2021-02-21 00:59:24 UTC
Missing dependencies for 19.11.x, it shouldn't be affected, no backport.